aboutsummaryrefslogtreecommitdiff
path: root/tests/fmt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fmt.sh')
-rw-r--r--tests/fmt.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/fmt.sh b/tests/fmt.sh
new file mode 100644
index 000000000..bc05118ff
--- /dev/null
+++ b/tests/fmt.sh
@@ -0,0 +1,30 @@
+source common.sh
+
+set -o pipefail
+
+clearStore
+rm -rf $TEST_HOME/.cache $TEST_HOME/.config $TEST_HOME/.local
+
+cp ./simple.nix ./simple.builder.sh ./fmt.simple.sh ./config.nix $TEST_HOME
+
+cd $TEST_HOME
+
+nix fmt --help | grep "Format"
+
+cat << EOF > flake.nix
+{
+ outputs = _: {
+ formatter.$system =
+ with import ./config.nix;
+ mkDerivation {
+ name = "formatter";
+ buildCommand = "mkdir -p \$out/bin; cp \${./fmt.simple.sh} \$out/bin/formatter";
+ };
+ };
+}
+EOF
+nix fmt ./file ./folder | grep 'Formatting: ./file ./folder'
+nix flake check
+nix flake show | grep -P "package 'formatter'"
+
+clearStore